Subject: dtb size limit? was Re: Tiny dts change breaks boot on n900

From: [email-masked] (Pavel Machek)
Date: Sun, 16 Nov 2014 09:38:31 +0100

On Mon 2014-11-10 15:25:40, Andreas F?rber wrote:
> Am 10.11.2014 um 12:58 schrieb Pavel Machek:
> > If I replace the blo[ck] below with
> > 
> >  a = <1>;
> >  b = <2>;
> >  c = <3>;
> >  d = <4>;
> > 
> > Resulting kernel boots. Replacing it with
> > 
> >  a-really-long-attribute-name-hopefully-this-breaks-stuff = <1>;
> >  b = <2>;
> >  c = <3>;
> >  d = <4>;
> > 
> > Breaks the boot. I'm using dtb append option. Any ideas? Nonbooting
> > dtb is 68910 bytes.
> 
> Did you verify that your initrd, if any, does not overlap the end of the
> kernel when loading it from the bootloader?

I don't use initrd, so this can't be it. Thanks,
									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html